Help with Imac

Discussion in 'Mac Apps and Mac App Store' started by annejan, Nov 12, 2003.

  1. annejan macrumors newbie

    Joined:
    Nov 12, 2003
    #1
    Hi All,

    I bought an iMac (not new) with OSX.2 already installed on it.
    So I now want to install OSX.3, but it tells me to upgrade the
    firmware first. So I put my official macOS9 cd in the player,
    but it won't boot. It does show up in "startup disk", but when I
    force it to boot from cd it gives me the ? sadface.
    Then I tried to copy the systemfiles to classic, but ...

    Can somebody pleasy help me install OS9, even if I lose
    all data on the disk?!

    Thank you all in advance !


    Greetz,
    AJ
     
  2. jMc macrumors 6502

    jMc

    Joined:
    Nov 19, 2001
    Location:
    London N8, Late-16th Century
    #2
    You shouldn't need to boot from your OS9 cd to apply new firmware - go and check the support section of Apple's website for the latest version of firmware for your machine...

    http://search.info.apple.com/?search=Go&lr=lang_en&kword=&q=imac kbdload

    I assume it's a CRT iMac - which is odd, because I can't remember the last firmware upgrade for that machine (it must have been a while ago)...

    jx
     
  3. annejan thread starter macrumors newbie

    Joined:
    Nov 12, 2003
    #3
  4. jMc macrumors 6502

    jMc

    Joined:
    Nov 19, 2001
    Location:
    London N8, Late-16th Century
    #4
    That document is for the firmware needed before 10.2 is installed - if your machine already has Jaguar I would assume the firmware was already up to date... I'm certain there hasn't been another firmware update for CRT iMacs since Jag was released

    Sorry I'm not being much help - are you trying to install Panther as an upgrade? It may be that you need to do a clean install.

    Hopefully someone else will chirp up soon with better ideas than mine... ;)

    jx
     
  5. annejan thread starter macrumors newbie

    Joined:
    Nov 12, 2003
    #5
    Jag tp panther

    Well, I tried to install the panther, but it tells me
    to update the firmware first.
    Altough I didn't get a message when installing Jag
    a couple of months ago.

    So would this be another upgrade then stated in the doc.?
     

Share This Page